Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.webapp
Interface Ordering

All Known Implementing Classes:
  Ordering.AbsoluteOrdering, Ordering.RelativeOrdering

    public interface Ordering

Ordering Ordering options for jars in WEB-INF lib.

Nested Class Summary
`static class` | `Ordering.AbsoluteOrdering` AbsoluteOrdering An element in web.xml
`static class` | `Ordering.RelativeOrdering` RelativeOrdering A set of elements in web-fragment.xmls.

Method Summary
`boolean` | `hasOther()`
`boolean` | `isAbsolute()`
`java.util.List<Resource>` | `order(java.util.List<Resource> fragments)`

Method Detail

### order

    java.util.List<Resource> order(java.util.List<Resource> fragments)

### isAbsolute

    boolean isAbsolute()

### hasOther

    boolean hasOther()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.